=== debian/changelog ===
sysdig (0.29.3-1) unstable; urgency=medium

  * New upstream release
  * Dima Kogan is the new maintainer
  * Kernel driver, userspace libraries moved to separate
    falcosecurity-libs package, to follow upstream

 -- Dima Kogan <dkogan@debian.org>  Mon, 13 Jun 2022 14:49:27 -0700
