=== debian/control ===
Source: sysdig
Section: admin
Priority: optional
Maintainer: Dima Kogan <dkogan@debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfalcosecurity0-dev,
               libb64-dev,
               libc-ares-dev,
               libcurl4-openssl-dev,
               libjq-dev,
               libjsoncpp-dev (>= 0.10.2),
               libncurses5-dev,
               libssl-dev,
               libtbb-dev,
               libyaml-cpp-dev,
               nlohmann-json3-dev,
               pandoc (>= 1.11),
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://www.sysdig.org/
Vcs-Git: https://salsa.debian.org/debian/sysdig.git
Vcs-Browser: https://salsa.debian.org/debian/sysdig
Rules-Requires-Root: no

Package: sysdig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: falcosecurity-scap-dkms
Description: system-level exploration and troubleshooting tool
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.
 .
 This package contains the tool to inspect trace files. If you want to
 inspect a live system, you also need to install the according kernel
 module, shipped in the package falcosecurity-scap-dkms.
