=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# Increase hardening to maximum, considering attack surface
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUSE_BUNDLED_DEPS=OFF \
		-DDIR_ETC="/etc" \
		-DSYSDIG_VERSION="$(DEB_VERSION_UPSTREAM)" \
		-DFALCOSECURITY_LIBS_VERSION=$(shell dpkg-query -W -f '$${Version}' libfalcosecurity0-dev | sed 's/-.*//')

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
