=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/ \
 https://github.com/draios/sysdig/tags .*/tags/(\d\S*)\.tar\.gz
