=== cmake/modules/falcosecurity-libs-repo/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 project(falcosecurity-libs-repo NONE)
 
 include(ExternalProject)
-message(STATUS "Driver version: ${FALCOSECURITY_LIBS_VERSION}")
+message(STATUS "Libs version: ${FALCOSECURITY_LIBS_VERSION}")
 
 ExternalProject_Add(
   falcosecurity-libs
