=== debian/changelog ===
sysdig (0.32.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1020385)

 -- Dima Kogan <dkogan@debian.org>  Fri, 14 Jul 2023 15:08:26 -0700
