=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libfalcosecurity0-dev,
+               libfalcosecurity0-dev (>= 0.11.3),
                libb64-dev,
                libc-ares-dev,
                libcurl4-openssl-dev,
@@ -19,14 +19,15 @@
                pandoc (>= 1.11),
                zlib1g-dev
 Standards-Version: 4.5.0
-Homepage: https://www.sysdig.org/
+Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git
 Vcs-Browser: https://salsa.debian.org/debian/sysdig
 Rules-Requires-Root: no
 
 Package: sysdig
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libfalcosecurity0 (>= 0.11.3),
+         ${misc:Depends}, ${shlibs:Depends}
 Recommends: falcosecurity-scap-dkms
 Description: system-level exploration and troubleshooting tool
  Sysdig instruments your physical and virtual machines at the OS level
