=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 include(libscap)
 include(libsinsp)
+include(zlib)
 
 include_directories("${LIBSINSP_INCLUDE_DIRS}")
 include_directories("${PROJECT_BINARY_DIR}/userspace/sinspui")
@@ -65,10 +66,9 @@
 add_executable(sysdig ${SOURCE_FILES})
 add_executable(csysdig ${SOURCE_FILES_CSYSDIG})
 
-add_dependencies(sysdig njson)
-add_dependencies(csysdig njson)
-
 if(USE_BUNDLED_DEPS)
+	add_dependencies(sysdig njson)
+	add_dependencies(csysdig njson)
 	add_dependencies(sysdig yaml-cpp)
 	add_dependencies(csysdig yaml-cpp)
 endif()
@@ -122,6 +122,8 @@
 else()
 	include(luajit)
 
+	add_definitions(-DNOCURSESUI)
+
 	target_link_libraries(sysdig
 		sinsp
 		"${YAMLCPP_LIB}")
