=== debian/changelog ===
sysdig (0.35.0+repack-1build2) noble; urgency=medium

  * Rebuild against new falcosecurity-libs_0.14.1-3ubuntu1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jan 2024 12:56:59 +0100

sysdig (0.35.0+repack-1build1) noble; urgency=medium

  * Rebuild against new falcosecurity-libs_0.14.1-2ubuntu3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Jan 2024 15:44:49 +0100

sysdig (0.35.0+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Thu, 25 Jan 2024 22:25:50 -0800
