=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                libcurl4-openssl-dev,
                libjq-dev,
                libjsoncpp-dev (>= 0.10.2),
-               libncurses5-dev,
+               libncurses-dev,
                libssl-dev,
                libtbb-dev,
                libyaml-cpp-dev,
                nlohmann-json3-dev,
                pandoc (>= 1.11),
-               zlib1g-dev
+               zlib1g-dev,
+               uthash-dev
 Standards-Version: 4.5.0
 Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git
