## sysdig 0.36.0+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,6 +64,10 @@
 set(PACKAGE_NAME "sysdig")
 
 add_definitions(-DPLATFORM_NAME="${CMAKE_SYSTEM_NAME}")
+if(NOT DEFINED CHISEL_TOOL_LIBRARY_NAME)
+	set(CHISEL_TOOL_LIBRARY_NAME "sysdig")
+endif()
+add_definitions(-DCHISEL_TOOL_LIBRARY_NAME="${CHISEL_TOOL_LIBRARY_NAME}")
 
 option(BUILD_WARNINGS_AS_ERRORS "Enable building with -Wextra -Werror flags")
 
@@ -121,8 +125,14 @@
 	set(MINIMAL_BUILD ON)
 
 	set(SYSDIG_FLAGS_WIN "-D_CRT_SECURE_NO_WARNINGS -DWIN32 -DMINIMAL_BUILD /EHsc /W3 /Zi")
-	set(SYSDIG_FLAGS_WIN_DEBUG "/MTd /Od")
-	set(SYSDIG_FLAGS_WIN_RELEASE "/MT")
+
+	if(CMAKE_VERSION VERSION_LESS 3.15.0)
+		set(SYSDIG_FLAGS_WIN_DEBUG "/MTd /Od")
+		set(SYSDIG_FLAGS_WIN_RELEASE "/MT")
+	else()
+		set(SYSDIG_FLAGS_WIN_DEBUG "/Od")
+		set(SYSDIG_FLAGS_WIN_RELEASE "")
+	endif()
 
 	set(CMAKE_C_FLAGS "${SYSDIG_FLAGS_WIN}")
 	set(CMAKE_CXX_FLAGS "${SYSDIG_FLAGS_WIN}")
