=== cmake/modules/falcosecurity-libs-repo/CMakeLists.txt ===
--- 
+++ 
@@ -30,4 +30,5 @@
   CONFIGURE_COMMAND ""
   BUILD_COMMAND ""
   INSTALL_COMMAND ""
-  TEST_COMMAND "")
+  TEST_COMMAND ""
+)
