=== debian/changelog ===
sysdig (0.36.0+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 06 Apr 2024 12:52:41 -0700
