=== debian/control ===
--- 
+++ 
@@ -27,8 +27,7 @@
 
 Package: sysdig
 Architecture: any
-Depends: libfalcosecurity0 (>= 0.11.3),
-         ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: falcosecurity-scap-dkms
 Description: system-level exploration and troubleshooting tool
  Sysdig instruments your physical and virtual machines at the OS level
