=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,16 @@
 %:
 	dh $@
 
+# I set the CHISEL_TOOL_LIBRARY_NAME because of this:
+#   https://github.com/draios/sysdig/issues/2063
+# In 0.36.0 this is the default, but I want to be explicit
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DUSE_BUNDLED_DEPS=OFF \
 		-DDIR_ETC="/etc" \
 		-DSYSDIG_VERSION="$(DEB_VERSION_UPSTREAM)" \
-		-DFALCOSECURITY_LIBS_VERSION=$(shell dpkg-query -W -f '$${Version}' libfalcosecurity0-dev | sed 's/-.*//')
+		-DFALCOSECURITY_LIBS_VERSION=$(shell dpkg-query -W -f '$${Version}' libfalcosecurity0-dev | sed 's/-.*//') \
+		-DCHISEL_TOOL_LIBRARY_NAME="sysdig"
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
