=== debian/changelog ===
sysdig (0.38.1+repack-3ubuntu1) plucky; urgency=medium

  * Fix FTBFS on ppc64el and riscv64 (LP: #2092154).
    - d/control: add riscv64 to libluajit-5.1-dev arch list and bump
      Lua to 5.2 on other architectures.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Wed, 18 Dec 2024 20:15:00 -0300

sysdig (0.38.1+repack-3build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 11:15:50 +0000

sysdig (0.38.1+repack-3) unstable; urgency=medium

  * Disabling i386 builds
    This has been broken in the falcosecurity-libs (a key dependency) upstream
    for a long time

 -- Dima Kogan <dkogan@debian.org>  Thu, 17 Oct 2024 06:07:34 -0700

sysdig (0.38.1+repack-2) unstable; urgency=medium

  * sysdig Build-Depends: liblua... (Closes: #1084382)

 -- Dima Kogan <dkogan@debian.org>  Tue, 08 Oct 2024 22:29:52 -0700

sysdig (0.38.1+repack-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Tue, 01 Oct 2024 23:24:07 -0700
