=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -18,7 +19,9 @@
                nlohmann-json3-dev,
                pandoc (>= 1.11),
                zlib1g-dev,
-               uthash-dev
+               uthash-dev,
+# Same as the dependency in falcosecurity-libs
+               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el s390x riscv64] | liblua5.2-dev
 Standards-Version: 4.5.0
 Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git
@@ -26,7 +29,8 @@
 Rules-Requires-Root: no
 
 Package: sysdig
-Architecture: any
+# Disabling i386 builds for now; falco-security broken upstream. See: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1067619
+Architecture: amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: falcosecurity-scap-dkms
 Description: system-level exploration and troubleshooting tool
