=== cmake/modules/falcosecurity-libs-repo/CMakeLists.txt ===
--- 
+++ 
@@ -31,4 +31,5 @@
   BUILD_COMMAND ""
   INSTALL_COMMAND ""
   TEST_COMMAND ""
+  PATCH_COMMAND ""
 )
