=== debian/changelog ===
sysdig (0.40.0+repack-3) unstable; urgency=medium

  * Build-Depends: liblua5.3-dev (Closes: #1110505)

 -- Dima Kogan <dkogan@debian.org>  Wed, 20 Aug 2025 22:07:28 -0700

sysdig (0.40.0+repack-2) unstable; urgency=medium

  * On riscv64 we Build-Depends: libluajit-5.1-dev (Closes: #1100389)
    Thanks to Bo YU <vimer@debian.org> for finding and solving the issue

 -- Dima Kogan <dkogan@debian.org>  Sun, 06 Apr 2025 16:01:16 -0700

sysdig (0.40.0+repack-1) unstable; urgency=medium

  * New upstream release (Closes: #1095317)

 -- Dima Kogan <dkogan@debian.org>  Fri, 21 Feb 2025 16:51:54 -0800
