=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sysdig
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Dima Kogan <dkogan@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -20,8 +19,7 @@
                pandoc (>= 1.11),
                zlib1g-dev,
                uthash-dev,
-# Same as the dependency in falcosecurity-libs
-               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el s390x riscv64] | liblua5.2-dev
+               liblua5.3-dev
 Standards-Version: 4.5.0
 Homepage: https://www.sysdig.com/
 Vcs-Git: https://salsa.debian.org/debian/sysdig.git
