=== debian/watch ===
version=4
opts=\
repacksuffix=+repack,\
dversionmangle=s/\+repack//g,\
repack,\
filenamemangle=s/.+\/(\d\S*)\.tar\.gz/sysdig-$1\.tar\.gz/ \
 https://github.com/draios/sysdig/tags .*/tags/(\d[0-9\.]*)\.tar\.gz
